%{?python_enable_dependency_generator}
%global desc A lightweight, object-oriented state machine implementation in \
Python.
%global srcname transitions


Name:      python-%{srcname}
Version:   0.6.9
Release:   3%{?dist}
BuildArch: noarch

License: MIT
Summary: A lightweight, object-oriented finite state machine implementation in Python
URL:     https://github.com/pytransitions/transitions
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

%description
%{desc}


%package docs
Summary: Documentation for %{name}


%description docs
Documentation for %{name}.


%package -n python3-%{srcname}
Summary: %{summary}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3dist(six)
BuildRequires: python3dist(dill)
BuildRequires: python3dist(pygraphviz)
BuildRequires: python3dist(nose) >= 0.10.1
BuildRequires: python3-pycodestyle
%{?python_provide:%python_provide python3-%{srcname}}


%description -n python3-%{srcname}
%{desc}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
nosetests-3 tests


%files docs
%license LICENSE
%doc examples
%doc Changelog.md
%doc README.md


%files -n python3-%{srcname}
%license LICENSE
%doc Changelog.md
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/*.egg-info


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 27 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.9-2
- Enable python dependency generator

* Thu Dec 20 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.6.9-1
- Update to 0.6.9.
- https://github.com/pytransitions/transitions/blob/0.6.9/Changelog.md

* Fri Dec 07 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.6.8-1
- Drop Python 2 subpackage.

* Tue Jul 31 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.6.8-1
- Update to 0.6.8.
- Add more BuildRequires.
- Split docs into their own subpackage.

* Thu Apr 12 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.6.4-1
- Initial release.
